#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
%bcond_without	vala		# Vala API
#
Summary:	GUsb - GObject wrapper for libusb1 library
Summary(pl.UTF-8):	GUsb - obudowanie GObject biblioteki libusb1
Name:		libgusb
Version:	0.2.4
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://people.freedesktop.org/~hughsient/releases/%{name}-%{version}.tar.xz
# Source0-md5:	279683b51fa8fc2bb29216cc165a1e32
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	glib2-devel >= 1:2.38.0
BuildRequires:	gobject-introspection-devel >= 1.29
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libusb-devel >= 1.0.19
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
%{?with_vala:BuildRequires:	vala >= 2:0.16}
BuildRequires:	xz
Requires:	glib2 >= 1:2.38.0
Requires:	libusb >= 1.0.19
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GUsb is a GObject wrapper for libusb1 that makes it easy to do
asynchronous control, bulk and interrupt transfers with proper
cancellation and integration into a mainloop. This makes it easy to
integrate low level USB transfers with your high-level application or
system daemon.

%description -l pl.UTF-8
GUsb to obudowanie GObject biblioteki libusb1, ułatwiające
asynchroniczne sterowanie oraz przesyłanie danych (typu bulk jak i
z użyciem przerwań) z właściwym przerywaniem i integracją w głównej
pętli. Ułatwia to integrowanie niskopoziomowego przesyłania danych po
USB w wysokopoziomowej aplikacji lub demonie systemowym.

%package devel
Summary:	Header files for GUsb library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki GUsb
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.38.0
Requires:	libusb-devel >= 1.0.19

%description devel
Header files for GUsb library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki GUsb.

%package static
Summary:	Static GUsb library
Summary(pl.UTF-8):	Statyczna biblioteka GUsb
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GUsb library.

%description static -l pl.UTF-8
Statyczna biblioteka GUsb.

%package apidocs
Summary:	GUsb API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki GUsb
Group:		Documentation

%description apidocs
API and internal documentation for GUsb library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki GUsb.

%package -n vala-libgusb
Summary:	Vala API for libgusb
Summary(pl.UTF-8):	API języka Vala do libgusb
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.16

%description -n vala-libgusb
Vala API for libgusb.

%description -n vala-libgusb -l pl.UTF-8
API języka Vala do libgusb.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_vala:--disable-vala} \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgusb.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS NEWS README TODO
%attr(755,root,root) %{_libdir}/libgusb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgusb.so.2
%{_libdir}/girepository-1.0/GUsb-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgusb.so
%{_includedir}/gusb-1
%{_datadir}/gir-1.0/GUsb-1.0.gir
%{_pkgconfigdir}/gusb.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgusb.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gusb
%endif

%if %{with vala}
%files -n vala-libgusb
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/gusb.vapi
%endif
%changelog
* Wed Feb 18 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libgusb.git;a=log;h=master

* Tue Jan 13 2015 Jakub Bogusz <qboosh@pld-linux.org> f3b7efc
- updated to 0.2.4

* Fri Dec 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 6414d9e
- updated to 0.2.3 (bugfix)

* Sun Nov 30 2014 Jakub Bogusz <qboosh@pld-linux.org> 98f689e
- updated to 0.2.2

* Sat Nov 22 2014 Jakub Bogusz <qboosh@pld-linux.org> 73aece3
- updated to 0.2.0
- now it uses libusb hotplugging support instead of using udev directly

* Sat Mar 09 2013 Jakub Bogusz <qboosh@pld-linux.org> e6801ec
- updated to 0.1.6

* Tue Feb 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 77f58d3
- updated to 0.1.5

* Fri Nov 09 2012 Jakub Bogusz <qboosh@pld-linux.org> 0c72b7a
- updated to 0.1.4 (introduces GObject and Vala bindings)

* Thu Dec 08 2011 Jakub Bogusz <qboosh@pld-linux.org> 7ba4ab3
- updated to 0.1.3

* Sat Nov 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8cc0c2d
- release 2

* Sun Nov 13 2011 Jakub Bogusz <qboosh@pld-linux.org> b37e0fe
- updated to 0.1.2
- removed obsolete link patch

* Thu Nov 03 2011 Jakub Bogusz <qboosh@pld-linux.org> b8f9753
- new

